Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.crmf
Class POPOPrivKey

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.crmf.POPOPrivKey

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class POPOPrivKey

extends ASN1Encodable
implements ASN1Choice

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static ASN1Encodable` `getInstance(ASN1TaggedObject tagged, boolean explicit)`
`DERObject` `toASN1Object()` POPOPrivKey ::= CHOICE { thisMessage [0] BIT STRING, -- Deprecated -- possession is proven in this message (which contains the private -- key itself (encrypted for the CA)) subsequentMessage [1] SubsequentMessage, -- possession will be proven in a subsequent message dhMAC [2] BIT STRING, -- Deprecated agreeMAC [3] PKMACValue, encryptedKey [4] EnvelopedData }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ASN1Encodable getInstance(ASN1TaggedObject tagged,
                                            boolean explicit)

### toASN1Object

    public DERObject toASN1Object()

       POPOPrivKey ::= CHOICE {
              thisMessage       [0] BIT STRING,         -- Deprecated
               -- possession is proven in this message (which contains the private
               -- key itself (encrypted for the CA))
              subsequentMessage [1] SubsequentMessage,
               -- possession will be proven in a subsequent message
              dhMAC             [2] BIT STRING,         -- Deprecated
              agreeMAC          [3] PKMACValue,
              encryptedKey      [4] EnvelopedData }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45